#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <spdlog/spdlog.h>
#include <string>
#include <utility>

[[nodiscard]] std::pair<cv::Mat, cv::Mat> init_image(
    std::string const&) noexcept;

[[nodiscard]] double euclidian_distance(cv::Mat const&, cv::Mat const&);

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_ */
