#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>

enum class Shapes { Square, Circle };

void draw_shape(cv::Mat&,
                cv::Point const&,
                int const,
                cv::Scalar const&,
                Shapes const&);

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_ */
